gtk.Border
Prev | The gtk Class Reference | Next

## gtk.Border

gtk.Border — an object containing data for a border (new in PyGTK 2.4)

## Synopsis

    class gtk.Border(gobject.GBoxed):
        def copy()
        def free()

## Description

### Note

This object is available in PyGTK 2.4 and above.

A `gtk.Border` object contains the integer values for the left, right, top and bottom values of a border. `gtk.Border` is used in `gtk.Style` specifications. `gtk.Border` has two methods: `copy`() and `free`().

## Methods

### gtk.Border.copy

        def copy()

Returns : | a copy of the border.

### Note

This method is available in PyGTK 2.4 and above.

The `copy`() method returns a copy of the border object.

### gtk.Border.free

        def free()

### Note

This method is available in PyGTK 2.4 and above.

### Warning

This method is deprecated and should not be used since it can crash your application.

The `free`() method frees the memory used by the border.

Prev | Up | Next
gtk.Bin | Home | gtk.Box